LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices



Reply
 
Search this Thread
Old 05-19-2007, 06:02 PM   #1
srini47
LQ Newbie
 
Registered: Jul 2006
Posts: 10

Rep: Reputation: 0
Unable to install gnome rpm


Hi all,

I am trying into install gnome-libs-1.4.1.2.90-34.1.i386.rpm on RedHat ES 5 (AMD 64). But it is giving error saying failed dependencies. I am try to install corresponding depend. but no luck please help me. This is urgent. Any ones help appreciated. Could you please suggest me the order and what are all dependencies i have to install.



root]# rpm -Uvh gnome-libs-1.4.1.2.90-34.1.i386.rpm
warning: gnome-libs-1.4.1.2.90-34.1.i386.rpm: Header V3 DSA signature: NOKEY, key ID 73307de6
error: Failed dependencies:
gtk+ >= 1:1.2.5 is needed by gnome-libs-1.4.1.2.90-34.1.i386
imlib is needed by gnome-libs-1.4.1.2.90-34.1.i386
libgdk-1.2.so.0 is needed by gnome-libs-1.4.1.2.90-34.1.i386
libgdk_imlib.so.1 is needed by gnome-libs-1.4.1.2.90-34.1.i386
libgtk-1.2.so.0 is needed by gnome-libs-1.4.1.2.90-34.1.i386
[root]# rpm -Uvh gtk+-1.2.10-56.el5.i386.rpm
warning: gtk+-1.2.10-56.el5.i386.rpm: Header V3 DSA signature: NOKEY, key ID 37017186
error: Failed dependencies:
gdk-pixbuf >= 0.18.0 is needed by gtk+-1.2.10-56.el5.i386

[root]# rpm -Uvh gdk-pixbuf-0.22.0-25.el5.i386.rpm
warning: gdk-pixbuf-0.22.0-25.el5.i386.rpm: Header V3 DSA signature: NOKEY, key ID 37017186
error: Failed dependencies:
libgdk-1.2.so.0 is needed by gdk-pixbuf-0.22.0-25.el5.i386
libgtk-1.2.so.0 is needed by gdk-pixbuf-0.22.0-25.el5.i386

Thanks

Last edited by srini47; 05-19-2007 at 06:04 PM.
 
Old 05-19-2007, 06:08 PM   #2
billymayday
Guru
 
Registered: Mar 2006
Location: Sydney, Australia
Distribution: Fedora, CentOS, OpenSuse, Slack, Gentoo, Debian, Arch, PCBSD
Posts: 6,678

Rep: Reputation: 122Reputation: 122
Looks like you need to install libgdk+
 
Old 05-19-2007, 07:30 PM   #3
srini47
LQ Newbie
 
Registered: Jul 2006
Posts: 10

Original Poster
Rep: Reputation: 0
Hi billy,

Thank you. could please tell me where can i download the libgdk+ for ES 5.

Thanks.
 
Old 05-19-2007, 07:33 PM   #4
billymayday
Guru
 
Registered: Mar 2006
Location: Sydney, Australia
Distribution: Fedora, CentOS, OpenSuse, Slack, Gentoo, Debian, Arch, PCBSD
Posts: 6,678

Rep: Reputation: 122Reputation: 122
Have you tried using yum (or is it up2date on RH?)
 
Old 05-19-2007, 07:50 PM   #5
srini47
LQ Newbie
 
Registered: Jul 2006
Posts: 10

Original Poster
Rep: Reputation: 0
Could you please give more details regarding yum. I am new to linux. I didn't find this pkg on any RH ES 5 cds.

The following files exists under /usr/lib64 dir
libgdk_pixbuf-2.0.so
libgdk_pixbuf-2.0.so.0
libgdk_pixbuf-2.0.so.0.1000.4
libgdk_pixbuf_xlib-2.0.so
libgdk_pixbuf_xlib-2.0.so.0
libgdk_pixbuf_xlib-2.0.so.0.1000.4
libgdk-x11-2.0.so
libgdk-x11-2.0.so.0
libgdk-x11-2.0.so.0.1000.4
libgd.so

Do I have setup any LD_LIBPATH varible or some thing ??

Last edited by srini47; 05-19-2007 at 07:54 PM.
 
Old 05-19-2007, 08:24 PM   #6
billymayday
Guru
 
Registered: Mar 2006
Location: Sydney, Australia
Distribution: Fedora, CentOS, OpenSuse, Slack, Gentoo, Debian, Arch, PCBSD
Posts: 6,678

Rep: Reputation: 122Reputation: 122
just try

yum install libgdk+
 
Old 05-19-2007, 08:48 PM   #7
srini47
LQ Newbie
 
Registered: Jul 2006
Posts: 10

Original Poster
Rep: Reputation: 0
I checked about this rpm it is already installed.

[root]# rpm -q yum-*
yum-3.0.1-5.el5
 
Old 05-20-2007, 08:11 AM   #8
srini47
LQ Newbie
 
Registered: Jul 2006
Posts: 10

Original Poster
Rep: Reputation: 0
Please help me on this.
 
Old 05-20-2007, 08:17 AM   #9
billymayday
Guru
 
Registered: Mar 2006
Location: Sydney, Australia
Distribution: Fedora, CentOS, OpenSuse, Slack, Gentoo, Debian, Arch, PCBSD
Posts: 6,678

Rep: Reputation: 122Reputation: 122
did you try yum install libgdk+ ?
 
Old 05-20-2007, 08:38 AM   #10
srini47
LQ Newbie
 
Registered: Jul 2006
Posts: 10

Original Poster
Rep: Reputation: 0
yum is already installed.
root]# rpm -q yum-*
yum-3.0.1-5.el5

do i have to install any other yum ???
Or Please guide my how to install libgdk+ using yum

Last edited by srini47; 05-20-2007 at 08:40 AM.
 
Old 05-20-2007, 08:45 AM   #11
nutnut
Member
 
Registered: Feb 2005
Location: UK
Distribution: Gentoo
Posts: 86

Rep: Reputation: 15
Not that I know much about RPMs or YUM, but, to me it appears that the suggested command ('yum install libgdk+') isn't trying to install YUM, but is using YUM to install libgdk+.

Running 'yum install libgdk+' doesn't install YUM?

James
 
Old 05-20-2007, 04:21 PM   #12
billymayday
Guru
 
Registered: Mar 2006
Location: Sydney, Australia
Distribution: Fedora, CentOS, OpenSuse, Slack, Gentoo, Debian, Arch, PCBSD
Posts: 6,678

Rep: Reputation: 122Reputation: 122
That's correct - try typing

yum install libgdk+

from a terminal session
 
Old 05-21-2007, 09:08 AM   #13
srini47
LQ Newbie
 
Registered: Jul 2006
Posts: 10

Original Poster
Rep: Reputation: 0
Is there any other way we can install this?
 
Old 05-21-2007, 09:29 AM   #14
Bhambra
LQ Newbie
 
Registered: Dec 2006
Location: Moga, Punjab, India.
Posts: 10

Rep: Reputation: 0
According to ur description, when u give command to install gtk*, it displays error message that failed dependency and vice versa.
The solution to this is that use rpm with no dependency option like

rpm -ivh --nodeps gtk+* [enter]

Then install gdk-pixbuf with same option.

I think it should work.
 
Old 05-23-2007, 01:50 PM   #15
srini47
LQ Newbie
 
Registered: Jul 2006
Posts: 10

Original Poster
Rep: Reputation: 0
I tried yum no luck. Please help me.

[root]# yum install libgdk+
Loading "installonlyn" plugin
Loading "rhnplugin" plugin
Setting up Install Process
Setting up repositories
rhel-x86_64-server-5 100% |=========================| 1.4 kB 00:00
Reading repository metadata in from local files
Parsing package install arguments
No Match for argument: libgdk+
Nothing to do
[root]# yum install libgtk+
Loading "installonlyn" plugin
Loading "rhnplugin" plugin
Setting up Install Process
Setting up repositories
rhel-x86_64-server-5 100% |=========================| 1.4 kB 00:00
Reading repository metadata in from local files
Parsing package install arguments
No Match for argument: libgtk+
Nothing to do
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Unable to install rpm sunhui Linux - Software 1 03-23-2007 07:41 AM
unable to install caching rpm for DNS(server) justsimran Linux - General 1 03-21-2007 02:10 PM
unable to install rpm mozilla firebird Razgo Linux - Software 4 12-19-2003 08:16 PM
Unable to install RPM packages (a PAM issue - i think!) thebeardedladie Linux - Software 5 11-18-2002 07:46 AM
Unable to install RPM source saravanan1979 Linux - Software 1 06-19-2002 10:54 AM


All times are GMT -5. The time now is 05:59 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration